#!/bin/sh/

echo -e "Installing a new transparent keyboard theme by MK99"

cp -R /home/user/MyDocs/.keyboardtheme/*.png /usr/share/themes/blanco/meegotouch/images/theme/basement/meegotouch-virtual-keyboard

sed -i "/#ExtendedKeys {/,/key/c\\
#ExtendedKeys {\\
   font-color: #FFFFFF;\\
\\
   key-pressed-font-color: #FFFFFF;" /usr/share/themes/blanco/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed '88s/key-highlighted-font-color.*/key-highlighted-font-color: #FFFFFF;/' -i /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed 's/magnifier-text-color.*/magnifier-text-color: #FFFFFF;/' -i /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed 's/key-shift-uppercase-compact-icon-id-selected.*/key-shift-uppercase-compact-icon-id-selected: "icon-m-input-methods-capslock";/' -i /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed 's/key-enter-icon-id-highlighted.*/key-enter-icon-id-highlighted: "";/' -i /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

sed 's/key-background-special-highlighted.*/key-background-special-highlighted: "meegotouch-keyboard-function-key" $ROUNDED_CORNERS;/' -i /usr/share/themes/base/meegotouch/libmeego-keyboard/style/libmeego-keyboard.css

/sbin/reboot